Bug 1009771 - cron job files should be %config(noreplace)
cron job files should be %config(noreplace)
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.12
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.15
: ---
Assigned To: Dan Callaghan
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 02:37 EDT by Dan Callaghan
Modified: 2018-02-05 19:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 22:29:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-09-19 02:37:21 EDT
If the admin edits /etc/cron.hourly/beaker_expire_distros (for example to temporarily disable it) their changes will be discarded on the next package upgrade, because that file is not %config(noreplace).

Per the Fedora guidelines it should be %config(noreplace).

http://fedoraproject.org/wiki/Packaging:CronFiles
Comment 2 Dan Callaghan 2013-09-19 02:45:28 EDT
On Gerrit: http://gerrit.beaker-project.org/1905
Comment 3 Dan Callaghan 2013-09-22 19:42:39 EDT
Steps to verify:
1. On a lab controller, edit /etc/cron.hourly/beaker_expire_distros (for example add a comment to the top)
2. Upgrade the beaker-lab-controller package
3. Check that /etc/cron.hourly/beaker_expire_distros has not been overwritten
Comment 4 Dan Callaghan 2013-09-23 02:13:01 EDT
This bug fix is included in beaker-lab-controller-0.14.1-1.git.211.545b8ca.el6 which is available for download here:

http://beaker-project.org/nightlies/
Comment 5 xjia 2013-09-23 06:29:10 EDT
Verify:
[root@dhcp-65-87 ~]# yum update beaker-lab-controller
<--snip-->
================================================================================
 Package               Arch   Version                       Repository     Size
================================================================================
Updating:
 beaker-lab-controller noarch 0.14.1-1.git.211.545b8ca.el6  beaker-client 1.0 M
Updating for dependencies:
 beaker                noarch 0.14.1-1.git.211.545b8ca.el6  beaker-client 162 k

Transaction Summary
================================================================================
Upgrade       2 Package(s)

Total download size: 1.2 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): beaker-0.14.1-1.git.211.545b8ca.el6.noarch.rpm    | 162 kB     00:01
(2/2): beaker-lab-controller-0.14.1-1.git.211.545b8ca.el | 1.0 MB     00:03
--------------------------------------------------------------------------------
Total                                           242 kB/s | 1.2 MB     00:04
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : beaker-0.14.1-1.git.211.545b8ca.el6.noarch                   1/4
  Updating   : beaker-lab-controller-0.14.1-1.git.211.545b8ca.el6.noarch    2/4
warning: /etc/cron.hourly/beaker_expire_distros created as /etc/cron.hourly/beaker_expire_distros.rpmnew
<--snip-->
Comment 6 Nick Coghlan 2013-10-02 22:29:20 EDT
Beaker 0.15 has been released.

Note You need to log in before you can comment on or make changes to this bug.